Skip to content

Get plan limits vs current usage

GET
/portal/usage/limits

Get plan entitlement limits with current usage for a subscription.

subscription_id
required
Subscription Id
string format: uuid
token
required
Token
string

Successful Response

PortalUsageLimitsResponse

Usage limits response for a subscription.

object
subscription_id
required
Subscription Id
string format: uuid
items
required
Items
Array<object>
PortalUsageLimitItem

A single usage limit with current usage and limit value.

object
feature_name
required
Feature Name
string
feature_code
required
Feature Code
string
feature_type
required
Feature Type
string
limit_value
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
current_usage
required
Current Usage
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
usage_percentage
Any of:
number

Invalid or expired portal token

Subscription not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object